* Chemin descriptives


use  "${workingpath}\analysis_original_data.dta", clear

* whole population all ages, treated villages
sum  HGC sex age agehead adultmale landHHpar landHHbro HGCdummy savings nfeown livevalue hhsize nonagrwage agrwage age2 age4 ///
	if thana~=25 & thana~=26 & thana~=27 & thana~=28 & thana~=29 ///
	& mcsample == 1
/*
* excluded variables
part assetlanded assettransport assetequip assetother nfeexpense nfeowntime nfeasset 
nferevenue sales agrcost agrincome HHlandirrigated nonagrwagehh agrwagehh 
fed med mar rese age3  fliv mliv
scohab sexhead landHHsis landHHSPpar landHHSPbro landHHSPsis HHland HGChead
*/
* whole population all ages, all villages (treat and control 
sum  HGC sex age agehead adultmale landHHpar landHHbro HGCdummy savings nfeown ///
	livevalue hhsize nonagrwage agrwage age2 age4  ///
	if mcsample == 1
* best approxmation to table 1 col 1.

* show that (probably) uses whole population
* treatment villages no land restrictions
tabstat HGC sex age agehead adultmale landHHpar landHHbro HGCdummy savings nfeown ///
	livevalue hhsize nonagrwage agrwage age2 age4 ///
	if thana~=25 & thana~=26 & thana~=27 & thana~=28 & thana~=29 ///
	, s(mean sd n) save
mat desc_a = r(StatTotal)

* all villages no land restrictions
tabstat HGC sex age agehead adultmale landHHpar landHHbro HGCdummy savings nfeown ///
	livevalue hhsize nonagrwage agrwage age2 age4 ///
	, s(mean sd n) save
mat desc_b = r(StatTotal)

preserve
* reported chemin descriptives
	mat ab = desc_a \ desc_b
	mat ab = ab'
	mat a = J(16,3, .)
	
	use "${additionaldatapath}\chemin_descriptives.dta", clear
	keep chemin*
	keep if chemin_order ~= .
	sort chemin_order
	forval i = 1/16 {
		mat a[`i', 1] = chemin_mean[`i']
		mat a[`i', 2] = chemin_sd[`i']
		mat a[`i', 3] = .		
	}
	mat ab = ab, a
	mat colnames ab = a_mean a_sd a_N b_mean b_sd b_N mean sd N	/* cols 1-3 are for treat vills; 4-6 are all vills; 7-9 are Chemin figures*/
	svmat ab, names(col)
	list *, table clean
/*	
*	postfile descriptives  str20 dpj2_name long dpj2_n float dpj2_mean float dpj2_sd using "${workingpath1}\temp.dta", replace
	forval i = 1/16 {
		outreg2 using "${workingpath}\
	}
*/	
restore
